Bug 35367 - listener-script can't add system to pkgdb
listener-script can't add system to pkgdb
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: pkgdb
UCS 3.2
Other Linux
: P5 normal (vote)
: UCS 3.2-3-errata
Assigned To: Arvid Requate
Stefan Gohmann
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-15 14:53 CEST by Florian Best
Modified: 2014-10-30 14:13 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2014-07-15 14:53:03 CEST
From the listener.log:

14.07.14 19:59:39.282  LISTENER    ( ERROR   ) : error while adding system=ae2nd55fho$ to pkgdb
Traceback (most recent call last):
  File "/usr/lib/univention-directory-listener/system/pkgdb.py", line 101, in handler
    file = open( os.path.join(ADD_DIR, new['uid'][0]), 'w' )
NameError: global name 'os' is not defined

Missing import.
./services/univention-pkgdb/pkgdb.py:93: undefined name 'os'
./services/univention-pkgdb/pkgdb.py:101: undefined name 'os'

Introduced by svn 36144 where "import os" was removed.
Comment 1 Arvid Requate univentionstaff 2014-10-27 16:25:01 CET
Fixed in Errata 3.2-3 and UCS 4.0-0.
Advisory: 2014-10-27-univention-pkgdb.yaml
Comment 2 Stefan Gohmann univentionstaff 2014-10-29 06:51:23 CET
ucs-test: OK

YAML: OK

Code review: OK

UCS 4.0 merge: OK

Test: OK
Comment 3 Janek Walkenhorst univentionstaff 2014-10-30 14:13:56 CET
http://errata.univention.de/ucs/3.2/229.html